Subject: Re: [PATCH] [POWERPC] 85xx: Add basic Uniprocessor MPC8572 DS port

From: Segher Boessenkool <[email-masked]>
Date: Wed, 12 Sep 2007 15:20:14 +0200

>>> well the ifdefs are orthogonal.  We don't have a way of knowing
>>> primary from the device tree today.
>>
>> How about something like "fsl,primary-phb" in the bus device node? I 
>> don't
>> know, maybe it's already been discussed and turned down for some 
>> reason.
>
> It's more of a Linux issue than anything to do with the hardware.

Yeah, many machines actually have multiple "primary PHBs", and
Linux cannot really deal with that.  It's probably best to handle
this from platform code.

>> Or would it be sufficient to check children of that device node to see
>> if the ULi is on that bus?
>
> Or more generally, see if an isa node is somewhere in that subtree.

And if there is no ISA node, find any other legacy device (non-native
ATA controllers, ...), etc.

Segher